Subject: Re: bug#21260: 23.2; Devanagari windows 10

From: Jim Funderburk <[email-masked]>
Date: Tue, 18 Aug 2015 15:23:05 -0400

Eli -
   I tried both 'set-fontset-font'  suggestions -- and both worked!
   I could not tell any difference between the two solutions.

   Also, I put the first option in c:\.emacs file, per your suggestion.
   Now, the sample devanagari file opens properly when I use Emacs in
   the usual way (i.e., without -Q).

   As far as I can see at the moment,  the problem is satisfactorily
   solved.
   Thank you for working through the options with me and finding
    a good solution.

Regards,
  Jim Funderburk

On 8/18/2015 10:19 AM, Eli Zaretskii wrote:
>> Cc: [email-masked]
>> From: Jim Funderburk <[email-masked]>
>> Date: Mon, 17 Aug 2015 16:16:21 -0400
>>
>> 3.  Regarding fonts on windows 10 (from  Control Panel/Fonts):
>>        a. Neither Mangal nor Kokila shows up
>>        b. The only font that I see which mentions Devanagari and other
>> Indian languages is 'Nirmala UI'
>>             Note: In light of your comment about Emacs and Indian
>> Language Fonts, this difference between Windows 10
>>                        and prior versions of Windows may be the basis of
>> the problem.
>>        c. When I set the Default Font to Nirmala UI,  Then the Devanagari
>> in the sample files displays properly !!
> I found the Nirmala UI font on Windows 8.1 and looked at its OTF
> features.  I think I know what causes the problem.  Please try
> evaluating the following expression in "emacs -Q" immediately after
> start, and then see whether display of Devanagari works okay after
> that:
>
>    (set-fontset-font "fontset-default" 'devanagari
>                      (font-spec :registry "iso10646-1" :otf '(dev2 nil (rphf)))
>                      nil 'prepend)
>
> If the above doesn't work, try this instead:
>
>    (set-fontset-font "fontset-default" 'devanagari "Nirmala UI" nil 'prepend)
>
> If any of these work, you can put it in your .emacs init file to make
> it permanent.
>